Processing - "Mean coordinate(s)" should not require id fields

2014-03-24 10:38 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 18387

Description

The mean coordinate(s) tool currently does not offer a way to just calculate the mean coordinates of all points in a layer if they do not have

a common group/class id.

Related issues:

Duplicated by QGIS Application - Bug report # 10220: Mean coordinate(s) funct... Closed 2014-05-09

History

#1 - 2014-03-25 01:42 AM - Nyall Dawson

Seems like the optional setting for ParameterTableField isn't working. All of the algorithms which try to use this option end up with required fields.

#2 - 2014-11-29 02:43 AM - Alexander Bruy

- Status changed from Open to Feedback

Seems fixed in master, please test

#3 - 2014-11-29 06:17 AM - Anita Graser

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Thanks, seems fixed.

#4 - 2015-06-07 04:33 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
